/* eslint no-param-reassign: "off" */
(function loginModel() {
  angular.module('auth')
    .controller('auth.loginController', ['$rootScope', '$scope', '$http', 'authService', '$state', '$ionicPopup', loginController]);
  function loginController($rootScope, $scope, $http, authService, $state, $ionicPopup) {
    // 登录
    $rootScope.login = function login() {
      /* 验证用户名和密码 */
      if (!$rootScope.data.userName || $rootScope.data.userName.length < 10) {
        $rootScope.remind('#loginmark', '请输入10位学号');

        setTimeout(function timer() {
          $('#loginmark').empty();
        }, 800);
      } else if (!$rootScope.data.password || $rootScope.data.password.length > 15) {
        $rootScope.remind('#loginmark', '请输入密码（密码长度不能大于15位）');

        setTimeout(function timer() {
          $('#loginmark').empty();
        }, 800);
      } else {
        // 用户名和密码格式正确：
        /* 登陆验证  */
        authService.auth($rootScope.data.userName, $rootScope.data.password)
          .then(function succCall(res) {
            if (res.status === 200) {
              switch (res.data.code) {
                case 'errP':
                  $rootScope.remind('#loginmark', '密码错误');
                  break;
                case 'noUser':
                  $rootScope.remind('#loginmark', '用户名不存在');
                  break;
                default:
                  (function others() {
                    window.localStorage.isLogin = true;
                    window.localStorage.stuName = res.data.XM;
                    window.localStorage.stuId = res.data.XH;
                    $rootScope.remind('#mark', '登陆成功');
                    window.history.replaceState(null, 'app.userCenter.userCenterHome');
                    $state.go('app.userCenter.userCenterHome');
                  }());
              }
              setTimeout(function timer2() {
                $('#loginmark').empty();
              }, 800);
            } else {
              $rootScope.remind('#loginmark', '登陆失败');
              setTimeout(function timer3() {
                $('#loginmark').empty();
              }, 800);
            }
          }, function errCall() {
            $rootScope.remind('#loginmark', '服务器错误');
            setTimeout(function timer4() {
              $('#loginmark').empty();
            }, 800);
          });
      }
    };
    $scope.showConfirm = function forgetPw() {
      $ionicPopup.alert({
        title: '<div align="left"><i class="icon ion-android-alert  blank"><strong>&nbsp;提示：</strong></i></div>',
        template: '<div><strong>用户的初始密码为身份证后六位。如果您忘记了修改后的密码，请携带身份证和学生证到综合楼C区312进行重置。</strong></div>',
        okText: '<font color="#ffffff">确认</font>',
        okType: 'button-calm',
      });
    };
  }
}());
