(function () {
    'use strict';

    angular.module('auth')
        .factory('authService', ['$q', '$interval', '$timeout', '$http', 'commonHttpService', 'configService', 'loginResultConstant', authService]);

    function authService($q, $interval, $timeout, $http, commonHttpService, configService, loginResultConstant) {

        var svc = {
            findUrlByState: findUrlByState,
            isFilterState: isFilterState,
            auth: auth
        };

        return svc;

        /*
         * 根据状态名称查找指定状态对应的URL。
         */
        function findUrlByState(state) {

            $timeout(function () {

            }, 10);

            /* */
            var urls = configService.urls;

            var url = '';

            for (var i = 0; i < urls.length; i++) {

                if (urls[i].state === state) {
                    url = urls[i].url;
                    break;
                }
            }

            console.log('authService.findAuthURLByState: authURLs: ' + urls.length);

            console.log('authService.findAuthURLByState: url: ' + url);

            return url;

        }


        /*
         * 判断状态 是否在非过滤列表内，如果是，则表示此状态不需要权限认证。
         */
        function isFilterState(state) {

            var noFilterURLs = configService.noFilterURLs;

            var isURLWithoutAuth = true;

            for (var i = 0; i < noFilterURLs.length; i++) {

                if (noFilterURLs[i].state === state) {
                    isURLWithoutAuth = false;
                    break;
                }
            }

            console.log('authService.isFilterState: isURLWithoutAuth:' + isURLWithoutAuth);

            return isURLWithoutAuth;

        }

        /*
         * 用户身份认证
         * 采用远程调用服务端认证服务；
         */

        function auth(name, password) {

            //return $http.post('http://localhost:8888/services/auth/login.json',{'username':name,'password':password},{'Content-Type':'application/x-www-form-urlencoded'});
            return commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/login', {
                'XH': name,
                'MM': password
            });

        }


    }
})();