/* eslint no-param-reassign: "off" */
(function global() {
  angular.module('common')
    .controller('common.globalController', ['$rootScope', '$scope', '$ionicPopup',
      '$ionicPopover', '$ionicModal', '$window',
      '$ionicHistory', '$state', '$cordovaInAppBrowser', '$cordovaGeolocation',
      '$cordovaBarcodeScanner', 'loginResultConstant',
      'authService', 'signService', 'userService', globalController
    ]);

  function globalController(
    $rootScope, $scope, $ionicPopup, $ionicPopover, $ionicModal, $window, $ionicHistory,
    $state
  ) {
    $rootScope.data = {};
    $rootScope.confirmCode = '';
    $rootScope.nextURL = '#/';
    $rootScope.watchID = '';
    $rootScope.modifiedDate = {};
    $rootScope.pwSee = function pwSee() {
      var t = document.getElementById('logPwIn').getAttribute('type');
      if (t === 'text') {
        document.getElementById('logPwIn').setAttribute('type', 'password');
      } else {
        document.getElementById('logPwIn').setAttribute('type', 'text');
      }
    };
    // 当我们用不到模型时，清除它！
    $rootScope.$on('$destroy', function remove() {
      $rootScope.loginModal.remove();
    });


    // 当隐藏的模型时执行动作
    $rootScope.$on('modal.hide', function hied() {
      // Execute action
    });

    // 当移动模型时执行动作
    $rootScope.$on('modal.removed', function move() {
      // Execute action
    });


    // 服务请求错误提示
    $rootScope.alertRequestError = function alertRequestError() {
      var alertPopup = $ionicPopup.alert({
        title: '<div align="left"><i class="icon ion-android-alert assertive"><strong>&nbsp;提示：</strong></i></div>',
        template: '<div><strong>服务请求错误，请检查后重试！</strong></div>',
        okText: '<font color="#FFFFFF">确定</font>',
        okType: 'button-pink'
      });

      alertPopup.then(function pop() {
        // 弹出框
      });
    };
    // 提醒
    $rootScope.remind = function remind(eleId, message) {
      var mark = 
      '<div style="border-radius: 1em;background-color: #4d4d4d;height: 3em;width: 80%;font-family: 微软雅黑;color:white;position: absolute;bottom: 10%;left: 10%;">'
      + '<div style="margin-top: 0.8em;text-align: center">' + message + '</div>'
      + '</div>';
      $(eleId).append(mark);
    };

    // /////////////////////////////////////////////////////
    // 统一页面跳转，实现页面的统一认证功能
    // /////////////////////////////////////////////////////

    // 根据URL进行页面跳转
    $rootScope.gotoLogin = function gotoLogin(targetURL) {
      if (!window.localStorage.stuName) {
        $state.go('app.login');
      } else if (!targetURL) {
        return 0;
      } else {
        $state.go(targetURL);
      }
    };

    $rootScope.gotoURL = function gotoURL(targetURL) {
      $state.go(targetURL);
    };

    $rootScope.goBack = function goBack() {
      window.history.back();
    };
  }
}());
