/* eslint-disable */

(function () {
	'use strict';

	angular.module('common')
		.factory('commonHttpService', ['$http', commonHttpService]);

	function commonHttpService($http) {

		var svc = {
			request: request
		};

		return svc;

		/*
		 * 通用HTTP请求服务，简单封装了AngularJS的$http服务。
		 * 返回一个promise对象，具有success和error两个方法。
		 * promise对象、success和error两个方法的使用方式同AngularJS的$http服务。
		 */
		function request(reqMethod, reqURL, reqParams) {

			console.log('HTTP REQUEST:: URL:' + reqURL + ', Method:' + reqMethod + ', Params:' + JSON.stringify(reqParams));

			if (reqMethod.toUpperCase() === 'GET') {
				return $http({
					cache: false,
					method: reqMethod,
					url: reqURL,
					params: reqParams,
					timeout: 3000
				});
			} else if (reqMethod.toUpperCase() === 'POST') {
				return $http({
					cache: false,
					method: reqMethod,
					url: reqURL,
					data: reqParams,
					timeout: 3000
				});
			}
		}
	}
})();
