// Ionic Starter App Router

// Ionic uses AngularUI Router which uses the concept of states
// Learn more here: https://github.com/angular-ui/ui-router
// Set up the various states which the app can be in.
// Each state's controller can be found in controllers.js
(function () {
    'use strict';
    angular.module('download')

        .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {

            $stateProvider.state('app.download', {
                url: '/download',
                abstract: true,
                views: {
                    'tab-download': {
                        templateUrl: 'download/templates/layout.html',
                    }
                }
            });

            $stateProvider.state('app.download.downloadHome', {
                url: '/home',
                views: {
                    'download': {
                        templateUrl: 'download/templates/downloadHome.html',
                        controller: 'download.downloadHomeController'
                    }
                }
            });

            $stateProvider.state('app.download.downloadSelect', {
                url: '/downloadSelect/:type',
                views: {
                    'download': {
                        templateUrl: 'download/templates/downloadSelect.html',
                        controller: 'download.downloadSelectController'
                    }
                }
            });

            $stateProvider.state('app.download.downloadFile', {
                url: '/downloadFile/:file',
                views: {
                    'download': {
                        templateUrl: 'download/templates/downloadFile.html',
                        controller: 'download.downloadFileController'
                    }
                }
            });


            $stateProvider.state('app.download.userInfo', {
                url: '/userInfo',
                views: {
                    'download': {
                        templateUrl: 'download/templates/userInfo.html',
                        controller: 'download.userInfoController'
                    }
                }
            });

            $stateProvider.state('app.download.changePassword', {
                url: '/changePassword',
                views: {
                    'download': {
                        templateUrl: 'download/templates/changePassword.html',
                        controller: 'download.changePasswordController'
                    }
                }
            });


        }]);
})();
