(function() {
  "use strict";

  angular
    .module("download")
    .controller("download.downloadFileController", [
      "$cordovaFileTransfer",
      "$rootScope",
      "$scope",
      "$state",
      "$stateParams",
      "downloadService",
      "$cordovaToast",
      "$cordovaFileOpener2",
      "$cordovaFile",
      "$ionicLoading",
      downloadFileController
    ]);
  function downloadFileController(
    $cordovaFileTransfer,
    $rootScope,
    $scope,
    $state,
    $stateParams,
    downloadService,
    $cordovaToast,
    $cordovaFileOpener2,
    $cordovaFile,
    $ionicLoading
  ) {
    $scope.fileID = $stateParams.file;
    var filetype = "";
    var downloaded = false;
    var fileURL = "";
    var typeChange = {
      doc: "msword",
      xls: "vnd.ms-excel",
      rar: "rar"
    };

    $scope.show = function() {
      $ionicLoading.show({
        template: '加载中'
      });
    };
    $scope.hide = function(){
      $ionicLoading.hide()
    };
    $scope.show()
    downloadService
      .getFileByFileID($scope.fileID)
      .success(function(data) {
        $scope.file = data[0];
        filetype = typeChange[data[0].filetype];
        console.log();
        $cordovaFile
          .checkFile(cordova.file.externalApplicationStorageDirectory,
            decodeURI($scope.file.filename)
          ).then(function (success) {
            $scope.hide()
            console.log(success)
            fileURL =
              cordova.file.externalApplicationStorageDirectory +
              decodeURI($scope.file.filename);
            downloaded = true;
            $scope.buttonText = "打开";
          }, function (error) {
            $scope.hide()
            console.log(angular.toJson(error));
            downloaded = false;
            $scope.buttonText = "下载";
          })
      })
      .error(function(data) {
        $scope.hide()
        $scope.file = {
          title: "undefined",
          filesize: "0KB",
          filetype: "doc",
          filename: "undefined",
          filepath: "undefined"
        };
      });

    $scope.downloadFile = function() {
      if (downloaded === true) {
        console.log(fileURL);
        $cordovaFileOpener2.open(fileURL, "application/" + filetype).then(
          function() {},
          function(err) {
            console.log(err);
          }
        );
      } else {
        document.addEventListener("deviceready", function() {
          var url =
            "http://218.25.35.28/download.php?id=" +
            $scope.fileID;
          var target =
            cordova.file.externalApplicationStorageDirectory +
            $scope.file.filename;
          var download = $cordovaFileTransfer.download(url, target).then(
            function(success) {
              console.log("success " + JSON.stringify(success));
              fileURL = decodeURI(success.toURL());
              $scope.buttonText = "打开";
              $scope.downloadProgress = "";
              downloaded = true;
              $cordovaToast
                .show("下载完成！：" + success.toURL(), "short", "bottom")
                .then(
                  function(success) {
                    // success
                  },
                  function(error) {
                    // error
                  }
                );
            },
            function(error) {
              console.log("Error " + JSON.stringify(error));
            },
            function(progress) {
              console.log('in process');
              if (progress.lengthComputable) {
                $scope.downloadProgress =
                  ~~(progress.loaded / progress.total * 100) + "%";
                console.log(
                  "当前进度：" + ~~(progress.loaded / progress.total * 100) + "%"
                );
              }
            }
          );
        });
      }
    };
  }
})();
