(function() {
  "use strict";

  angular
    .module("download")
    .controller("download.downloadSelectController", [
      "$rootScope",
      "$scope",
      "$state",
      "$stateParams",
      "downloadService",
      "$ionicLoading",
      downloadSelectController
    ]);
  function downloadSelectController(
    $rootScope,
    $scope,
    $state,
    $stateParams,
    downloadService,
    $ionicLoading
  ) {

    $scope.show = function() {
      $ionicLoading.show({
        template: '加载中'
      });
    };
    $scope.hide = function(){
      $ionicLoading.hide()
    };
    $scope.show()
    $scope.title = downloadService.getTitle($stateParams.type);
    downloadService
      .getListByTypeID($stateParams.type)
      .success(function(data, status, headers, config) {
        $scope.hide()
        console.log(data)
        $scope.list = data
      })
      .error(function(data, status, headers, config) {
        $scope.hide()
        $scope.list = [
          {
            dateline: "0000-00-00",
            title:"undefined",
            downloads: "0",
            id: "0"
          },
        ];
      });
    console.log($scope.list);
    $scope.toDownloadFile = function(fileID) {
      $state.go("app.download.downloadFile", { file: fileID });
    };
  }
})();
