// Ionic Starter App Router

// Ionic uses AngularUI Router which uses the concept of states
// Learn more here: https://github.com/angular-ui/ui-router
// Set up the various states which the app can be in.
// Each state's controller can be found in controllers.js
(function () {
    'use strict';

    angular.module('find')

    	.config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {

       		$stateProvider.state('app.find', {
    		    url: '/find',
    		    abstract: true,
    		    views: {
    		        'tab-find' :{
    		        	templateUrl: 'find/templates/layout.html'
    		        }
    		    }
    		});

    		$stateProvider.state('app.find.home', {
    		    url: '/home',
    		    views: {
    		        'find' :{
    		        	templateUrl: 'find/templates/findHome.html',
    		        	controller: 'find.findHomeController'
    		        }
    		    }
    		});

            $stateProvider.state('app.find.userInfo', {
                url: '/userInfo',
                views: {
                    'find' :{
                        templateUrl: 'find/templates/userInfo.html',
                        controller: 'find.userInfoController'
                    }
                }
            });

            $stateProvider.state('app.find.changePassword', {
                url: '/changePassword',
                views: {
                    'find' :{
                        templateUrl: 'find/templates/changePassword.html',
                        controller: 'find.changePasswordController'
                    }
                }
            });

    	}]);
})();
