(function () {
    'use strict';

    angular.module('index')

        .config(['$stateProvider', '$urlRouterProvider', function ($stateProvider, $urlRouterProvider) {

            $stateProvider.state('app.index', {
                url: '/index',
                abstract: true,
                views: {
                    'tab-index': {
                        templateUrl: 'index/templates/layout.html'
                    }
                }
            });

            $stateProvider.state('app.index.home', {
                url: '/home',
                views: {
                    'index': {
                        templateUrl: 'index/templates/indexHome.html',
                        controller: 'index.indexHomeController'
                    }
                }
            });

            $stateProvider.state('app.index.schoolCalander', {
                url: '/schoolCalander',
                views: {
                    'index': {
                        templateUrl: 'index/templates/schoolCalander.html',
                        controller: 'index.schoolCalanderController'
                    }
                }
            });

            $stateProvider.state('app.index.eduNotice', {
                url: '/eduNotice',
                views: {
                    'index': {
                        templateUrl: 'index/templates/eduNotice.html',
                        controller: 'index.eduNoticeController'
                    }
                }
            });

            $stateProvider.state('app.index.eduInform', {
                url: '/eduInform',
                views: {
                    'index': {
                        templateUrl: 'index/templates/eduInform.html',
                        controller: 'index.eduInformController'
                    }
                }
            });

            $stateProvider.state('app.index.eduNoticeDetailed', {
                url: '/eduNoticeDetailed/{{id}}',
                cache: "false",
                views: {
                    'index': {
                        templateUrl: 'index/templates/eduNoticeDetailed.html',
                        controller: 'index.eduNoticeDetailedController'
                    }
                }
            });

            $stateProvider.state('app.index.eduInformDetail', {
                url: '/eduInformDetail/{{id}}',
                cache: "false",
                views: {
                    'index': {
                        templateUrl: 'index/templates/eduInformDetail.html',
                        controller: 'index.eduInformDetailController'
                    }
                }
            });

            $stateProvider.state('app.index.testInfo', {
                url: '/testInfo',
                views: {
                    'index': {
                        templateUrl: 'index/templates/testInfo.html',
                        controller: 'index.testInfoController'
                    }
                }
            });
            $stateProvider.state('app.index.reportList', {
                url: '/reportList',
                views: {
                    'index': {
                        templateUrl: 'index/templates/reportList.html',
                        controller: 'index.reportListController'
                    }
                }
            });
            $stateProvider.state('app.index.reportListDetail', {
                url: '/reportListDetail/{{id}}',
                views: {
                    'index': {
                        templateUrl: 'index/templates/reportListDetail.html',
                        controller: 'index.reportListDetailController'
                    }
                }
            });

            $stateProvider.state('app.index.downloadFile', {
                url: '/downloadFile/:file',
                views: {
                    'index': {
                        templateUrl: 'download/templates/downloadFile.html',
                        controller: 'download.downloadFileController'
                    }
                }
            });

        }]);
})();
