(function eduInform() {
  angular
    .module('index')
    .controller('index.eduInformController', [
      '$rootScope',
      '$scope',
      '$http',
      '$ionicLoading',
      '$cordovaToast',
      eduInformController
    ]);

  function eduInformController(
    $rootScope,
    $scope,
    $http,
    $ionicLoading,
    $cordovaToast
  ) {
    var count = 0;
    $ionicLoading.show({
      template: '加载中...'
    });
    $scope.classes = '考试信息';
    $scope.noMore = false; // 是否还有数据
    $scope.cid = 6;

    // 下拉列表
    $scope.type = 6;
    $scope.types = [
      {
        val: 6,
        text: '考试信息'
      },
      {
        val: 7,
        text: '学籍信息'
      },
      {
        val: 8,
        text: '教学信息'
      },
      {
        val: 9,
        text: '选课信息'
      },
      {
        val: 11,
        text: '教材信息'
      }
    ];

    // 默认请求
    $http
      .get('http://ql.sylu.edu.cn/jiaowuServer/public/user/edunotific/default', {
        params: {
          cid: 6,
          count: count
        }
      })
      .then(
        function secCall(res) {
          $ionicLoading.hide();
          count += 1;
          $scope.items = res.data;
        },
        function errCall(res) {
          // 隐藏loading，并显示请求出错
          $ionicLoading.hide();
          $cordovaToast.show('请求出错', 'short', 'bottom').then(
            function secCall() {
              // success
            },
            function lErrCall() {
              // error
            }
          );
          console.log(res);
        }
      );

    // 当选择其他类别时
    $scope.getItems = function getItems(cid) {
      switch (cid) {
        case '6':
          $scope.classes = '考试信息';
          break;
        case '7':
          $scope.classes = '学籍信息';
          break;
        case '8':
          $scope.classes = '教学信息';
          break;
        case '9':
          $scope.classes = '选课信息';
          break;
        case '11':
          $scope.classes = '教材信息';
          break;
        default:
          $scope.classes = '';
      }
      $scope.cid = cid;
      $http
        .get('http://ql.sylu.edu.cn/jiaowuServer/public/user/edunotific/default', {
          params: {
            cid: cid,
            count: 0
          }
        })
        .then(
          function secCAll(res) {
            count = 1;
            $scope.items = res.data;
          },
          function errCall(res) {
            // 隐藏loading，并显示请求出错
            $ionicLoading.hide();
            $cordovaToast.show('请求出错', 'short', 'bottom').then(
              function secCall() {
                // success
              },
              function lErrCall() {
                // error
              }
            );
            console.log(res);
          }
        );
    };

    // 获取更多
    $scope.getNew = function getNew() {
      $http
        .get('http://ql.sylu.edu.cn/jiaowuServer/public/user/edunotific/default', {
          params: {
            count: count,
            cid: $scope.cid
          }
        })
        .then(
          function secCall(res) {
            count += 1; // 计数加一
            // 如果没有数据了
            if (res.data.length === 0) {
              $scope.noMore = true;
            } else {
              // 如果还有数据,遍历数组并添加到items里
              res.data.forEach(function forEachItem(da1) {
                var da = da1;
                $scope.items.push(da);
              });
              $scope.$broadcast('scroll.infiniteScrollComplete');
            }
          },
          function errCall(res) {
            // 隐藏loading，并显示请求出错
            $ionicLoading.hide();
            $cordovaToast.show('请求出错', 'short', 'bottom').then(
              function secCall() {
                // success
              },
              function lErrCall() {
                // error
              }
            );
            console.log(res);
          }
        );

      $scope.$on('stateChangeSuccess', function stateChangeSuccess(event) {
        $scope.getNew();
        event.preventDefault();
      });
    };
  }
}());
