(function eduInform() {
  angular.module('index')
    .controller('index.eduInformDetailController', ['$rootScope', '$scope', '$http',
      '$state', '$ionicLoading', '$cordovaToast', 'commonHttpService', eduInformDetailController]);

  function eduInformDetailController(
    $rootScope,
    $scope, $http, $state, $ionicLoading, $cordovaToast,
    commonHttpService
  ) {
    var detailUrl = 'http://ql.sylu.edu.cn/jiaowuServer/public/user/edunotific/fileinfo';
    var detailParams = {
      aid: $state.params.id
    };
    $ionicLoading.show({
      template: '加载中...'
    });
    commonHttpService.request('get', detailUrl, detailParams).then(function secCall(res) {
      $ionicLoading.hide();
      if (res.data.message) {
        window.document.getElementById('content_j').innerHTML = res.data.message;
        $scope.items = res.data.file;
      } else {
        window.document.getElementById('content_j').innerHTML = res.data[0].message;
      }
    }, function errCall(res) {
      // 隐藏loading，并显示请求出错
      $ionicLoading.hide();
      $cordovaToast.show('请求出错', 'short', 'bottom').then(
        function secCall() {
          // success
        },
        function lErrCall() {
          // error
        }
      );
      console.log(res);
    });

    $scope.goDownload = function goDownload(id) {
      $state.go('app.index.downloadFile', {
        file: id
      });
    };
  }
}());
