(function eduNotice() {
  angular.module('index')
    .controller('index.eduNoticeController', ['$rootScope', '$scope', '$http',
      '$ionicLoading', '$cordovaToast', 'commonHttpService', eduNoticeController]);

  function eduNoticeController(
    $rootScope,
    $scope, $http, $ionicLoading, $cordovaToast,
    commonHttpService
  ) {
    var count = 0;
    var defultUrl = 'http://ql.sylu.edu.cn/jiaowuServer/public/user/eduannounce';
    $ionicLoading.show({
      template: '加载中...'
    });
    $scope.noMore = false; // 是否还有数据
    // 默认请求
    commonHttpService.request('get', defultUrl, {
      count: count
    }).then(function secCall(res) {
      $ionicLoading.hide();
      count += 1;
      $scope.items = res.data;
    }, function errCall(res) {
      // 隐藏loading，并显示请求出错
      $ionicLoading.hide();
      $cordovaToast.show('请求出错', 'short', 'bottom').then(
        function secCall() {
          // success
        },
        function lErrCall() {
          // error
        }
      );
      console.log(res);
    });

    // 获取更多
    $scope.getNew = function getNew() {
      commonHttpService.request('get', defultUrl, {
        count: count
      }).then(function secCall(res) {
        count += 1; // 计数加一
        // 如果没有数据了
        if (res.data.length === 0) {
          $scope.noMore = true;
        } else {
          // 如果还有数据,遍历数组并添加到items里
          res.data.forEach(function forEachItem(da) {
            $scope.items.push(da);
          });
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }
      }, function errCall(res) {
        // 隐藏loading，并显示请求出错
        $ionicLoading.hide();
        $cordovaToast.show('请求出错', 'short', 'bottom').then(
          function secCall() {
            // success
          },
          function lErrCall() {
            // error
          }
        );
        console.log(res);
      });

      $scope.$on('stateChangeSuccess', function stateChangeSuccess(event) {
        $scope.getNew();
        event.preventDefault();
      });
    };
  }
}());
