/* eslint no-param-reassign: "off" */
(function indexHome() {
  angular.module('index')
    .controller('index.indexHomeController', ['$scope', '$rootScope', '$ionicLoading', '$http', '$state',
      '$ionicPopup', 'commonHttpService', indexHomeController]);

  function indexHomeController(
    $scope, $rootScope,
    $ionicLoading, $http, $state, $ionicPopup,
    commonHttpService
  ) {
    var confirmPopup;
    var count = 0;
    $scope.isFull = false; // 是否全屏显示Scroll
    $scope.noMore = false; // 是否还有数据
    // 测试链接状况
    $ionicLoading.show({
      template: '加载中...'
    });
    // $scope.add = function () {
    //   1+1;
    // }
    // 第一次的默认请求
    commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/edunotific', {
      count: count
    }).then(function sucCall(res) {
      // 关闭Loading
      $ionicLoading.hide();
      $scope.items = res.data;
      count += 1;
    }, function errCall() {
      // 关闭Loading
      $ionicLoading.hide();
    });

    $scope.getNew = function getNew() {
      // 获取更多
      commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/edunotific', {
        count: count
      }).then(function sucCall(res) {
        count += 1;
        // 如果没有数据了
        if (res.data.length === 0) {
          $scope.noMore = true;
        } else {
          // 如果还有数据
          res.data.forEach(function forEachItem(da) {
            $scope.items.push(da);
          });
          $scope.$broadcast('scroll.infiniteScrollComplete');
        }
      }, function errCall(res) {
        console.log(res);
      });

      $scope.$on('stateChangeSuccess', function stateChangeSuccess(event) {
        $scope.getNew();
        event.preventDefault();
      });
      // 缩下去
      $scope.makeDown = function makeDown() {
        $scope.isFull = false;
      };
      // 扩展到上方
      $scope.makeFull = function makeFull() {
        $scope.isFull = true;
      };
    };

    $rootScope.goContent = function goContent(item, url) {
      $rootScope.time = item.dateline;
      $rootScope.tit = item.title;
      $state.go(url, {
        id: item.aid
      });
    };

    $scope.pleaseWaite = function pleaseWaite() {
      $rootScope.remind('#wait', '敬请期待');
      setTimeout(function timer() {
        $('#wait').empty();
      }, 800);
    };

    if (!window.localStorage.isMessageHidden) {
      confirmPopup = $ionicPopup.confirm({
        title: '<div align="left"><i class="icon ion-android-alert  clam;text-align:center;"><strong>&nbsp;温馨提示：</strong></i></div>',
        template: '您好，因特殊原因。所有学生第一次登陆的初始密码都为本人身份证号码的后六位。如需修改密码，可到个人中心页面进行修改。',
        cancelText: '<span color="#FFFFFF">不再显示</span>',
        okText: '<span color="#FFFFFF">确认</span>',
        okType: 'button-clam',
      });
      confirmPopup.then(function secCall(res) {
        if (!res) {
          console.log(res);
          window.localStorage.isMessageHidden = true;
        }
      });
    }
  }
}());
