(function schoolCalander() {
  angular.module('index')
    .controller('index.schoolCalanderController', ['$rootScope', '$scope', '$http', 'commonHttpService', schoolCalanderController]);

  function schoolCalanderController($rootScope, $scope, $http, commonHttpService) {
    var date = new Date();
    var nowYear = new Date().getFullYear();
    var nowMon = new Date().getMonth();
    var a;
    var b;
    var startTime;
    var endTime;
    // 今年的8-31到明年的9
    if (nowMon >= 8) {
      a = nowYear + '-08-31';
      b = (nowYear + 1) + '-09-01';
    } else {
      a = (nowYear - 1) + '-09-01';
      b = nowYear + '-09-01';
    }
    startTime = new Date(a);
    endTime = new Date(b);

    function calanderCall(va) {
      var startDay;
      var da;
      var studentWeek;
      var month;
      month = va.getMonth();
      commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/time')
        .then(function secCall(res) {
          startDay = res.data.starttime;
          da = res.data;
          startDay = new Date(startDay);
          studentWeek =
                        Math.ceil((va.getTime() - startDay.getTime()) / 1000 / 60 / 60 / 24 / 7);
          if (studentWeek > 0 && studentWeek < 20) {
            $scope.studentWeek = '教学周：第' + studentWeek + '周';
          } else {
            $scope.studentWeek = '非当前学期教学周';
          }
          if (month >= 8) {
            $scope.holiday = da.winterholiday;
          } else {
            $scope.holiday = da.summerholiday;
          }
        }, function errCall() {
          return 0;
        });
    }
    calanderCall(date);

    $scope.onezoneDatepicker = {
      date: date, // MANDATORY
      todayLabel: '今天',
      daysOfTheWeek: ['日', '一', '二', '三', '四', '五', '六'],
      mondayFirst: false,
      disablePastDays: false,
      disableSwipe: false,
      startDate: startTime,
      endDate: endTime,
      disableWeekend: false,
      showDatepicker: true,
      showTodayButton: false,
      calendarMode: true,
      hideCancelButton: true,
      highlights: date,
      hideSetButton: true,
      callback: function (value) {
        calanderCall(value);
      }
    };
  }
}());
