/**
 * App检查更新 Service
 */
/* eslint no-param-reassign: "off" */
angular.module('index')
  .factory('AppUpdateService', ['$http', 'commonHttpService', '$q', '$cordovaNetwork', '$cordovaAppVersion',
    '$ionicPopup',
    function AppUpdateService(
      $http, commonHttpService,
      $q, $cordovaNetwork, $cordovaAppVersion, $ionicPopup
    ) {
      var isLatest = false;// 是否是最新
      function getLatest() {
        return isLatest;
      }
      return {
        checkVersion: checkVersion,
        getLatest: getLatest,
      };
      function checkVersion() {
        // params 是传入后端的参数。
        // platform是用户的平台，这个功能暂时搁置，只有安卓。version是用户当前的版本号：
        var params = {
          platform: 'android',
          version: '1.1.3'
        };
        // 获取手机的网络状态，返回的值包括：WIFI CELL_4G CELL_3G等网络状态，这里用来检测手机是否处于WiFi状态
        var networkType = $cordovaNetwork.getNetwork();

        // 获取App 内的版本信息
        commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/update', params).then(function updateApp(data) {
          // 该接口返回的updateFlag取值为：0（不更新）、1（普通更新）、2（强制更新）
          // 接口返回的url是存放APP的地址

          // 声明更新提示title：
          var title;
          // 声明配置项json
          var json = {
            isWifi : networkType === 'wifi' ? 1 : 0, // 是否wifi
            upState : parseInt(data.data.updateFlag, 10), // 更新状态
            url: data.data.url
          };
          // 根据配置项判断更新情况
          if (json.upState === 0) {
            // 不更新
            isLatest = true;
          } else if (json.upState === 1) {
            // 如果非强制更新
            // 根据网络状态来进行提示：
            title = json.isWifi === 1
              ? '您的版本过低，如果不进行更新将影响使用正常功能，是否更新？'
              : '您的版本过低，如果不进行更新将影响使用正常功能，是否更新?(请注意，您在非wifi状态下)';
            showConfirm(title).then(function noFaceWifiUp(isUp) {
              if (isUp) {
                // 用户同意更新：
                UpdateForAndroid(json.url);
              } else {
                // 用户不同意更新
              }
            });
          } else if (json.upState === 2) {
            // 如果强制更新.提示用户是否更新
            // 根据网络状态来进行提示：
            title = json.isWifi === 1
              ? '您的版本过低，如果不进行更新将影响使用正常功能，是否更新？'
              : '您的版本过低，如果不进行更新将影响使用正常功能，是否更新?(请注意，您在非wifi状态下)';
            showConfirm(title).then(function forceUp(isUp) {
              if (isUp) {
                // 用户同意更新：
                UpdateForAndroid(json.url);
              } else {
                // 用户不同意更新，退出应用。
                ionic.Platform.exitApp();
              }
            });
          }
        });
      }

      function showConfirm(con) {
        var confirm = $ionicPopup.confirm({
          title: '<div align="left"><i class="icon ion-android-alert  clam;"><strong>&nbsp;温馨提示：</strong></i></div>',
          template: con,
          cancelText: '<span color="#FFFFFF">取消</span>',
          okText: '<span color="#FFFFFF">确认</span>',
          okType: 'button-balanced',
        });
        return confirm;
      }

      // 更新安卓APP
      // function UpdateForAndroid(downloadUrl) {
      //   var targetPath = '/sdcard/Download/zhangshangshenli.apk';
      //   var trustHosts = true;
      //   var options = {};
      //   $ionicLoading.show({
      //     template: '已经下载：0%'
      //   });
      //   $cordovaFileTransfer.download(downloadUrl, targetPath, options, trustHosts).then(function downloadSec() {
      //     // 下载成功
      //     $cordovaFileOpener2.open(targetPath, 'application/vnd.android.package-archive').then(function openSec() {
      //       // 打开成功
      //     }, function openErr(err) {
      //       // 打开失败
      //       console.log(err);
      //     });
      //     $ionicLoading.hide();
      //   }, function loadErr() {
      //     // 下载失败
      //     $ionicLoading.show({
      //       template: '下载失败'
      //     });
      //     $ionicLoading.hide();
      //   }, function downloading(progress) {
      //     // 正在xiazai
      //     $timeout(function loadTimer() {
      //       var downloadProgress = (progress.loaded / progress.total) * 100;
      //       $ionicLoading.show({
      //         template: `已经下载：${Math.floor(downloadProgress)}%`
      //       });
      //       if (downloadProgress > 99) {
      //         $ionicLoading.hide();
      //       }
      //     });
      //   });
      // }

      function UpdateForAndroid(downloadUrl) {
        console.log(downloadUrl);
        window.cordova.InAppBrowser.open(downloadUrl, '_system');
      }
    }
  ]);
