// Ionic Starter App Router

// Ionic uses AngularUI Router which uses the concept of states
// Learn more here: https://github.com/angular-ui/ui-router
// Set up the various states which the app can be in.
// Each state's controller can be found in controllers.js
(function userRouter() {
  angular.module('userCenter')

    .config(['$stateProvider', '$urlRouterProvider', function userRputerConfig($stateProvider) {
      $stateProvider.state('app.userCenter', {
        url: '/userCenter',
        abstract: true,
        views: {
          'tab-userCenter': {
            templateUrl: 'userCenter/templates/layout.html',
          }
        }
      });

      $stateProvider.state('app.userCenter.userCenterHome', {
        url: '/home',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/userCenterHome.html',
            controller: 'userCenter.userCenterHomeController'
          }
        }
      });

      $stateProvider.state('app.userCenter.userInfo', {
        url: '/userInfo',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/userInfo.html',
            controller: 'userCenter.userInfoController'
          }
        }
      });

      $stateProvider.state('app.userCenter.pwChange', {
        url: '/pwChange',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/pwChange.html',
            controller: 'userCenter.pwChangeController'
          }
        }
      });

      $stateProvider.state('app.userCenter.userSetting', {
        url: '/userSetting',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/userSetting.html',
            controller: 'userCenter.userSettingController'
          }
        }
      });

      $stateProvider.state('app.userCenter.qrCode', {
        url: '/qrCode',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/qrCode.html',
            controller: 'userCenter.qrCodeController'
          }
        }
      });

      $stateProvider.state('app.userCenter.scoreOld', {
        url: '/scoreOld',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/scoreOld.html',
            controller: 'userCenter.scoreOldController'
          }
        }
      });

      $stateProvider.state('app.userCenter.scoreFail', {
        url: '/scoreFail',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/scoreFail.html',
            controller: 'userCenter.scoreFailController'
          }
        }
      });

      $stateProvider.state('app.userCenter.scoreQuery', {
        url: '/scoreQuery',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/scoreQuery.html',
            controller: 'userCenter.scoreQueryController'
          }
        }
      });

      $stateProvider.state('app.userCenter.scoreAverage', {
        url: '/scoreAverage',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/scoreAverage.html',
            controller: 'userCenter.scoreAverageController'
          }
        }
      });

      $stateProvider.state('app.userCenter.CET', {
        url: '/CET',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/CET.html',
            controller: 'userCenter.CETController'
          }
        }
      });

      $stateProvider.state('app.userCenter.creativeCredit', {
        url: '/creativeCredit',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/creativeCredit.html',
            controller: 'userCenter.creativeCreditController'
          }
        }
      });

      $stateProvider.state('app.userCenter.courseTable', {
        url: '/courseTable',
        cache: 'false',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/courseTable.html',
            controller: 'userCenter.courseTableController'
          }
        }
      });

      $stateProvider.state('app.userCenter.AboutAs', {
        url: '/AboutAs',
        views: {
          userCenter: {
            templateUrl: 'userCenter/templates/AboutAs.html',
            controller: 'userCenter.AboutAsController'
          }
        }
      });

      $stateProvider.state('app.userCenter.schoolCalander', {
        url: '/schoolCalander',
        views: {
          userCenter: {
            templateUrl: 'index/templates/schoolCalander.html',
            controller: 'index.schoolCalanderController'
          }
        }
      });
    }]);
}());
