(function () {
  angular
    .module('userCenter')
    .controller('userCenter.courseTableController', [
      '$scope',
      '$rootScope',
      'userService',
      'commonHttpService',
      '$ionicPopup',
      '$cordovaToast',
      '$ionicLoading',
      courseTableController
    ]);

  function courseTableController(
    $scope,
    $rootScope,
    userService,
    commonHttpService,
    $ionicPopup,
    $cordovaToast,
    $ionicLoading
  ) {
    var ColorPicker = function () {
      var o = {};
      o.Count = 0;
      o.Colors = [
        'courseGray',
        'courseRed',
        'coursePink',
        'coursePurple',
        'courseDPurple',
        'courseIndigo',

        'courseBlue',
        'courseLBlue',
        'courseCyan',
        'courseTeal',
        'courseGreen',

        'courseLGreen',
        'courseYellow',
        'courseAmber',
        'courseOrange',
        'courseDOrange'
      ];
      var colorLength = o.Colors.length;

      var space = [];
      for (var i = 0; i < colorLength; i++) {
        space.push(false);
      }
      space[0] = true;
      o.Count++;

      o.pick = function () {
        num = 0;
        while (space[num]) {
          if (o.Count >= colorLength) {
            o.Count--;
            break;
          } else {
            var num = Math.random() * 16;
            num = Math.floor(num);
          }
        }
        space[num] = true;
        o.Count++;
        return o.Colors[num];
      };
      return o;
    };
    var colorPicker = ColorPicker();
    $scope.stuID = window.localStorage.stuId;
    $scope.stuName = window.localStorage.stuName;
    if (window.localStorage.nameAndColor) {
      var nameAndColor = JSON.parse(window.localStorage.nameAndColor);
    } else {
      var nameAndColor = {
        无课: colorPicker.Colors[0]
      };
    }

    if (window.localStorage.courseCount) {
      var courseCount = window.localStorage.courseCount;
    } else {
      var courseCount = 0;
    }

    $scope.weeks = [
      {
        value: 1,
        text: '第一周'
      },
      {
        value: 2,
        text: '第二周'
      },
      {
        value: 3,
        text: '第三周'
      },
      {
        value: 4,
        text: '第四周'
      },
      {
        value: 5,
        text: '第五周'
      },
      {
        value: 6,
        text: '第六周'
      },
      {
        value: 7,
        text: '第七周'
      },
      {
        value: 8,
        text: '第八周'
      },
      {
        value: 9,
        text: '第九周'
      },
      {
        value: 10,
        text: '第十周'
      },
      {
        value: 11,
        text: '第十一周'
      },
      {
        value: 12,
        text: '第十二周'
      },
      {
        value: 13,
        text: '第十三周'
      },
      {
        value: 14,
        text: '第十四周'
      },
      {
        value: 15,
        text: '第十五周'
      },
      {
        value: 16,
        text: '第十六周'
      },
      {
        value: 17,
        text: '第十七周'
      },
      {
        value: 18,
        text: '第十八周'
      },
      {
        value: 19,
        text: '第十九周'
      },
      {
        value: 20,
        text: '第二十周'
      },
      {
        value: 21,
        text: '第二十一周'
      }
    ];
    $scope.show = function () {
      $ionicLoading.show({
        template: '加载中'
      });
    };
    $scope.hide = function () {
      $ionicLoading.hide();
    };
    $scope.courseTrans = function (text) {
      if (!text) {
        return '';
      } else {
        var name = text.split('<br>')[0];
        if (name.length >= 10) name = name.substring(0, 7) + '...';
        var place = text.split('<br>')[3];
        return name + ' ' + place;
      }
    };
    $scope.show();

    $scope.classCSS = function (text) {
      if (!text) {
        text = '无课';
      } else {
        text = text.KC
      }
      console.log(text)
      var name = text.split('<br>')[0];
      if (!nameAndColor[name]) {
        nameAndColor[name] = colorPicker.pick();
        window.localStorage.nameAndColor = JSON.stringify(nameAndColor);
      }
      var str = '';
      str += nameAndColor[name];
      return str;
    };

    $scope.changeColor = function () {
      window.localStorage.nameAndColor = JSON.stringify({
        无课: colorPicker.Colors[0]
      });
      $scope.changeWeek($scope.selectedWeek);
    };
    $scope.change = function () {
    };
    $scope.showType = function (type) {
      var str = type.KCXZ + '/' + type.KCLB;
      if (type) {
        console.log(type);
        $cordovaToast.show(str, 'short', 'bottom').then(
          function (success) {
            // success
          },
          function (error) {
            // error
          }
        );
      }
    };

    (function (stuID) {
      var requesetURL =
        'http://ql.sylu.edu.cn/jiaowuServer/public/user/getSchedule?XH=' + stuID;
      commonHttpService
        .request('GET', requesetURL)
        .success(function (data) {
          $scope.courses = data;
          console.log(data.data);
          $scope.selectedWeek = $scope.weeks[$scope.courses.ZS - 1];
          $scope.hide();
        })
        .error(function () {
          $scope.hide();
          $scope.courses = {
            code: 1,
            msg: '',
            data: {
              1: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              2: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              3: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              4: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              5: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              6: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              7: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              8: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              9: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              10: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              11: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              12: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              }
            }
          };
        });
      $scope.selectedWeek = $scope.weeks[0];
    }($scope.stuID));

    $scope.changeWeek = function (selectedWeek) {
      $scope.show();
      console.log(selectedWeek);
      var requesetURL =
        'http://ql.sylu.edu.cn/jiaowuServer/public/user/getSchedule?XH=' + $scope.stuID + '&ZS=' + selectedWeek.value;
      commonHttpService
        .request('GET', requesetURL)
        .success(function (data) {
          $scope.hide();
          $scope.courses = data;
        })
        .error(function () {
          $scope.hide();
          $scope.courses = {
            code: 1,
            ZS: 4,
            data: {
              1: {
                1: {
                  KC:
                    '\u64cd\u4f5c\u7cfb\u7edf<br>\u5468\u4e00\u7b2c1,2\u8282{\u7b2c1-14\u5468}<br>\u82d1\u52cb/\u5415\u8273\u8f89<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                2: {
                  KC:
                    '\u8f6f\u4ef6\u5de5\u7a0b<br>\u5468\u4e8c\u7b2c1,2\u8282{\u7b2c1-10\u5468}<br>\u7941\u71d5<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u8bfe'
                },
                3: {
                  KC:
                    '\u64cd\u4f5c\u7cfb\u7edf<br>\u5468\u4e09\u7b2c1,2\u8282{\u7b2c1-14\u5468}<br>\u82d1\u52cb/\u5415\u8273\u8f89<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                4: {
                  KC:
                    '\u8f6f\u4ef6\u5de5\u7a0b<br>\u5468\u56db\u7b2c1,2\u8282{\u7b2c1-10\u5468}<br>\u7941\u71d5<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u8bfe'
                },
                5: {
                  KC:
                    '\u8ba1\u7b97\u673a\u63a5\u53e3\u4e0e\u901a\u4fe1<br>\u5468\u4e94\u7b2c1,2\u8282{\u7b2c1-10\u5468}<br>\u5218\u5ff5<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                6: '',
                7: ''
              },
              2: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              3: {
                1: {
                  KC:
                    '\u8ba1\u7b97\u673a\u4fe1\u606f\u5b89\u5168<br>\u5468\u4e00\u7b2c3,4\u8282{\u7b2c1-12\u5468}<br>\u9ec4\u6d77\u65b0/\u5f90\u91ce<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                2: '',
                3: {
                  KC:
                    '\u8ba1\u7b97\u673a\u7f51\u7edc\u7ba1\u7406<br>\u5468\u4e09\u7b2c3,4\u8282{\u7b2c1-10\u5468}<br>\u674e\u82b3<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                4: {
                  KC:
                    '\u5355\u7247\u673a\u539f\u7406\u53ca\u5e94\u7528<br>\u5468\u56db\u7b2c3,4\u8282{\u7b2c1-14\u5468}<br>\u9a6c\u79c0\u4e3d<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                5: {
                  KC:
                    '\u8ba1\u7b97\u673a\u4fe1\u606f\u5b89\u5168<br>\u5468\u4e94\u7b2c3,4\u8282{\u7b2c1-12\u5468}<br>\u9ec4\u6d77\u65b0/\u5f90\u91ce<br>XX-226',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                6: '',
                7: ''
              },
              4: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              5: {
                1: {
                  KC:
                    'Linux\u7cfb\u7edf\u7a0b\u5e8f\u8bbe\u8ba1S<br>\u5468\u4e00\u7b2c5,6\u8282{\u7b2c1-10\u5468}<br>\u82d1\u52cb<br>XX-227',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                2: {
                  KC:
                    '\u6570\u636e\u5e93\u539f\u7406<br>\u5468\u4e8c\u7b2c5,6\u8282{\u7b2c1-14\u5468}<br>\u738b\u7ea2\u971e/\u6768\u5927\u4e3a<br>XX-226',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                3: {
                  KC:
                    'Linux\u7cfb\u7edf\u7a0b\u5e8f\u8bbe\u8ba1S<br>\u5468\u4e09\u7b2c5,6\u8282{\u7b2c1-10\u5468}<br>\u82d1\u52cb<br>XX-430',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                4: {
                  KC:
                    '\u6570\u636e\u5e93\u539f\u7406<br>\u5468\u56db\u7b2c5,6\u8282{\u7b2c1-14\u5468}<br>\u738b\u7ea2\u971e/\u6768\u5927\u4e3a<br>XX-228',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                5: {
                  KC:
                    '\u4f20\u611f\u5668\u539f\u7406<br>\u5468\u4e94\u7b2c5,6\u8282{\u7b2c1-8\u5468}<br>\u80e1\u745e/\u5218\u6653\u9633<br>XX-229',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                6: '',
                7: ''
              },
              6: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              7: {
                1: {
                  KC:
                    '\u5355\u7247\u673a\u539f\u7406\u53ca\u5e94\u7528<br>\u5468\u4e00\u7b2c7,8\u8282{\u7b2c1-14\u5468}<br>\u9a6c\u79c0\u4e3d<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                2: {
                  KC:
                    '\u4f20\u611f\u5668\u539f\u7406<br>\u5468\u4e8c\u7b2c7,8\u8282{\u7b2c1-8\u5468}<br>\u80e1\u745e/\u5218\u6653\u9633<br>XX-229',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                3: {
                  KC:
                    '\u8ba1\u7b97\u673a\u63a5\u53e3\u4e0e\u901a\u4fe1<br>\u5468\u4e09\u7b2c7,8\u8282{\u7b2c1-10\u5468}<br>\u5218\u5ff5<br>A-112',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                4: '',
                5: {
                  KC:
                    '\u8ba1\u7b97\u673a\u7f51\u7edc\u7ba1\u7406<br>\u5468\u4e94\u7b2c7,8\u8282{\u7b2c1-10\u5468}<br>\u674e\u82b3<br>XX-427',
                  KCXZ: '\u4e13\u4e1a\u57fa\u7840\u8bfe'
                },
                6: '',
                7: ''
              },
              8: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              9: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              10: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              11: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              },
              12: {
                1: '',
                2: '',
                3: '',
                4: '',
                5: '',
                6: '',
                7: ''
              }
            }
          };
        });
    };
  }
}());

// 计算绩点
// var rows = document.getElementsByClassName("datelist")[0].rows;
// var total = 0;
// var totalXF = 0;
// for (let i = 0; i < rows.length; i++) {
//   var XF = parseInt(rows.item(i).cells.item(6).innerHTML);
//   var JD = parseInt(rows.item(i).cells.item(7).innerHTML);
//   if (
//     rows.item(i).cells.item(4).innerHTML === "公共基础课" ||
//     rows.item(i).cells.item(4).innerHTML === "专业基础课" ||
//     rows.item(i).cells.item(4).innerHTML === "课程设计"
//   ) {
//     if (rows.item(i).cells.item(19).innerHTML !== "重修") {
//       console.log(rows.item(i).cells.item(4).innerHTML);
//       total += XF * JD;
//       totalXF += XF;
//     } else {
//       console.log("重修");
//     }
//   }
// }
// console.log(total / totalXF);
