/**
 * Created by 11952 on 2017/3/22.
 */
(function pwChange() {
  function pwChangeController($scope, $rootScope, commonHttpService) {
    // 密码修改
    $scope.changePassword = function changePassword() {
      // 两秒后清空提示内容
      function clear() {
        setTimeout(function () {
          $('#changePwMark').empty();
        }, 2000);
      }
      const url = 'http://ql.sylu.edu.cn/jiaowuServer/public/user/ResetPswd';
      const stuId = document.getElementById('stuId').value;
      const oldPw = document.getElementById('stuPw').value;
      const newPw = document.getElementById('newPw').value;
      const confirmPw = document.getElementById('confirmPw').value;

      if (stuId === '' || stuId === null) {
        $rootScope.remind('#changePwMark', '账号不能为空');
        clear();
        return false;
      }
      if (oldPw === '' || oldPw === null) {
        $rootScope.remind('#changePwMark', '旧密码不能为空');
        clear();
        return false;
      }
      if (newPw === '' || newPw == null) {
        $rootScope.remind('#changePwMark', '新密码不能为空');
        clear();
        return false;
      }
      if (newPw.length < 6) {
        $rootScope.remind('#changePwMark', '新密码长度不能小于6位');
        clear();
        return false;
      }
      if (newPw.length > 15) {
        $rootScope.remind('#changePwMark', '新密码长度不能大于15位');
        clear();
        return false;
      }
      if (newPw === oldPw) {
        $rootScope.remind('#changePwMark', '新旧密码不能一致');
        clear();
        return false;
      }
      if (confirmPw === '' || confirmPw == null) {
        $rootScope.remind('#changePwMark', '请确认密码');
        clear();
        return false;
      }
      if (newPw !== confirmPw) {
        $rootScope.remind('#changePwMark', '两次密码输入不一致');
        clear();
        return false;
      }
      const params = {
        XH: stuId,
        MM: oldPw,
        RMM: newPw,
      };
      commonHttpService.request('POST', url, params).then(function (result) {
        if (result.data.code === 'done') {
          $rootScope.remind('#changePwMark', '修改成功');
          clear();
          window.localStorage.isLogin = false;
          window.localStorage.clear();
          $rootScope.goBack();
        } else {
          $rootScope.remind('#changePwMark', '请检查用户名和原密码是否正确');
          clear();
        }
      }, function () {
        $rootScope.remind('#changePwMark', '修改失败,未知的错误发生了');
      });
      return 0;
    };
  }

  angular.module('userCenter')
    .controller('userCenter.pwChangeController', ['$scope', '$rootScope', 'commonHttpService', pwChangeController]);
}());
