(function scoreAverage() {
  angular.module('userCenter')
    .controller('userCenter.scoreAverageController', ['$rootScope', '$scope', 'userService',
      '$http', '$ionicLoading', '$cordovaToast', 'commonHttpService', scoreAverageController]);
  function scoreAverageController(
    $rootScope,
    $scope, userService, $http, $ionicLoading,
    $cordovaToast, commonHttpService
  ) {
    $scope.init = function init() {
      // 初始化下拉栏
      const nowyear = new Date().getFullYear(); // 今年的年份
      $scope.stuYear = '';
      $scope.stuTerm = '';
      $scope.years = [];
      // 请求到数据之前显示加载中
      $ionicLoading.show({
        template: '加载中...',
      });
      // 下拉栏为从2011至今
      for (var i = 2011; i < nowyear + 1; i += 1) {
        $scope.years[i - 2011] = i + '-' + (i + 1);
      }
      $scope.terms = [
        {
          val: 1,
          text: '第一学期',
        },
        {
          val: 2,
          text: '第二学期',
        },
      ];
      // 获取学位课学分绩点
      commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/Degreeavggpa', {
        XH: window.localStorage.stuId,
      }).then(function (res) {
        $ionicLoading.hide();
        $scope.$broadcast('scroll.refreshComplete');
        $scope.allScore = res.data.data;
      }, function () {
        // 隐藏loading，并显示请求出错
        $ionicLoading.hide();
        $cordovaToast.show('请求出错', 'short', 'bottom');
      });

      // 查询学年或学期绩点
      $scope.searchScoreY = function searchScoreY(y, t) {
        $ionicLoading.show({
          template: '加载中...',
        });
        if (!y || y === '') {
          // 未选择学年
          $ionicLoading.hide();
          $cordovaToast.show('请选择学年', 'short', 'bottom');
        } else if (t) {
          // 如果是查询学期成绩
          $scope.scoretext = '您的' + y + '学年第' + t + '学期';
          commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/Semavggpa', {
            XH: window.localStorage.stuId,
            XN: y,
            XQ: t,
          }).then(function (res) {
            $ionicLoading.hide();
            $scope.$broadcast('scroll.refreshComplete');
            $scope.semShow = true;
            $scope.yearShow = false;
            $scope.semScore = '平均学分绩点为:' + res.data.data;
          }, function () {
            // 隐藏loading，并显示请求出错
            $ionicLoading.hide();
            $cordovaToast.show('请求出错', 'short', 'bottom');
          });
        } else {
          // 如果学期为空查询学年
          $scope.scoretext = '您的' + y + '学年';
          commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/Yearavggpa', {
            XH: window.localStorage.stuId,
            XN: y,
          }).then(function (res) {
            $ionicLoading.hide();
            $scope.$broadcast('scroll.refreshComplete');
            $scope.semShow = false;
            $scope.yearShow = true;
            $scope.yearScore = '平均学分绩点为:' + res.data.data;
          }, function () {
            // 隐藏loading，并显示请求出错
            $ionicLoading.hide();
            $cordovaToast.show('请求出错', 'short', 'bottom');
          });
        }
      };
    };
    $scope.init();
  }
}());
