(function userInfo() {
  angular.module('userCenter')
    .controller('userCenter.userInfoController', ['$rootScope', '$scope', 'userService',
      '$http', '$ionicLoading', '$cordovaToast', 'commonHttpService', userInfoController]);

  function userInfoController(
    $rootScope,
    $scope, userService, $http, $ionicLoading,
    $cordovaToast, commonHttpService
  ) {
    $ionicLoading.show({
      template: '加载中...'
    });
    commonHttpService.request('GET', 'http://ql.sylu.edu.cn/jiaowuServer/public/user/getmessage', {
      XH: window.localStorage.stuId
    }).then(function secCall(res) {
      $ionicLoading.hide();
      $scope.name = res.data[0].xm;
      $scope.id = window.localStorage.stuId;
      $scope.sex = res.data[0].xb;
      $scope.birthday = res.data[0].csrq;
      $scope.nation = res.data[0].mz;
      $scope.school = res.data[0].xy;
      $scope.major = res.data[0].zymc;
      $scope.edu = res.data[0].cc;
      $scope.polticsSta = res.data[0].zzmm;
      $scope.area = res.data[0].lydq;
    }, function errCall(res) {
      console.log(res);
      // 隐藏loading，并显示请求出错
      $ionicLoading.hide();
      $cordovaToast.show('请求出错', 'short', 'bottom').then(
        function s() {
          // success
        },
        function e() {
          // error
        }
      );
    });
  }
}());
